impl::Frame::Symbol Struct Reference
Inheritance diagram for impl::Frame::Symbol:
Collaboration diagram for impl::Frame::Symbol:

## Public Member Functions

| Symbol (const char *symbol)
bool | is_cxx () const
std::string | demangled () const
std::string | raw () const

## Public Attributes

std::string | raw_
std::string | demangled_
bool | is_cxx_ = false

## Detailed Description

Definition at line 50 of file backtrace.cpp.

## Constructor & Destructor Documentation

## Symbol()

impl::Frame::Symbol::Symbol | ( | const char * | symbol | ) |

inline

Definition at line 52 of file backtrace.cpp.

References impl::demangle(), demangled_, is_cxx_, and raw_.

Here is the call graph for this function:

## Member Function Documentation

## demangled()

std::string impl::Frame::Symbol::demangled | ( |  | ) | const

inline

Definition at line 77 of file backtrace.cpp.

References demangled_.

## is_cxx()

bool impl::Frame::Symbol::is_cxx | ( |  | ) | const

inline

Definition at line 72 of file backtrace.cpp.

References is_cxx_.

## raw()

std::string impl::Frame::Symbol::raw | ( |  | ) | const

inline

Definition at line 82 of file backtrace.cpp.

References raw_.

## Member Data Documentation

## demangled_

std::string impl::Frame::Symbol::demangled_

Definition at line 88 of file backtrace.cpp.

Referenced by demangled(), and Symbol().

## is_cxx_

bool impl::Frame::Symbol::is_cxx_ = false

Definition at line 89 of file backtrace.cpp.

Referenced by is_cxx(), and Symbol().

## raw_

std::string impl::Frame::Symbol::raw_

Definition at line 87 of file backtrace.cpp.

Referenced by raw(), and Symbol().

The documentation for this struct was generated from the following file:

- backtrace.cpp